<?php 


/**
 * odstranime zbytocnosti z dashboardu
 */
add_action( 'admin_menu', 'edit_admin_menus', 999 );
function edit_admin_menus()
{
	remove_menu_page('link-manager.php');
	remove_menu_page('edit-comments.php');
	remove_submenu_page('themes.php', 'theme-editor.php');
	remove_submenu_page('plugins.php', 'plugin-editor.php');
}



/**
 * preusporiadanie menu
 */
add_filter( 'custom_menu_order', 'custom_menu_order' );
add_filter( 'menu_order', 'custom_menu_order' );

function custom_menu_order( $menu_ord )
{
	if ( !$menu_ord ) return true;

	return array(
		'index.php', // Dashboard
		'separator1', // First separator
		'edit.php', // Posts
		'edit.php?post_type=featured', // Featured
		'edit.php?post_type=page', // Pages
		'upload.php', // Media
		'separator2', // Second separator
		'themes.php', // Appearance
		'plugins.php', // Plugins
		'users.php', // Users
		'tools.php', // Tools
		'options-general.php', // Settings
		'separator-last', // Last separator
	);
}


/**
 * cleanup wordpress header n stuff
 */
// Remove links to the extra feeds (e.g. category feeds)
remove_action( 'wp_head', 'feed_links_extra', 3 );

// Remove links to the general feeds (e.g. posts and comments)
remove_action( 'wp_head', 'feed_links', 2 );

// Remove link to the RSD service endpoint, EditURI link
remove_action( 'wp_head', 'rsd_link' );

// Remove link to the Windows Live Writer manifest file
remove_action( 'wp_head', 'wlwmanifest_link' );

// Remove index link
remove_action( 'wp_head', 'index_rel_link' );

// Remove prev link
remove_action( 'wp_head', 'parent_post_rel_link', 10, 0 );

// Remove start link
remove_action( 'wp_head', 'start_post_rel_link', 10, 0 );

// Display relational links for adjacent posts
remove_action( 'wp_head', 'adjacent_posts_rel_link', 10, 0 );

// Remove XHTML generator showing WP version
remove_action( 'wp_head', 'wp_generator' );



// removes empty span
add_filter('the_content', 'remove_empty_read_more_span');
function remove_empty_read_more_span($content)
{
	return eregi_replace("(<p><span id=\"more-[0-9]{1,}\"></span></p>)", "", $content);
}


// removes url hash to avoid the jump link
add_filter('the_content_more_link', 'remove_more_jump_link');
function remove_more_jump_link($link)
{
	$offset = strpos($link, '#more-');

	if ($offset)
		$end = strpos($link, '"',$offset);

	if ($end)
		$link = substr_replace($link, '', $offset, $end-$offset);

	return $link;
}

